FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112150825.p0.gcfd8736.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112150825.p0.gcfd8736.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cfd8736 OS_GIT_VERSION=4.8.0-202112150825.p0.gcfd8736.assembly.stream-cfd8736 SOURCE_DATE_EPOCH=1639528617 SOURCE_GIT_COMMIT=cfd8736ecc3de3039931f60dad60307a4d491252 SOURCE_GIT_TAG=v0.2.0-441-gcfd8736e SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-aws 
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-aws
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && GOPROXY=off NO_DOCKER=1 make build

FROM openshift/ose-base:v4.8.0-202112141153.p0.gad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202112150825.p0.gcfd8736.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112150825.p0.gcfd8736.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cfd8736 OS_GIT_VERSION=4.8.0-202112150825.p0.gcfd8736.assembly.stream-cfd8736 SOURCE_DATE_EPOCH=1639528617 SOURCE_GIT_COMMIT=cfd8736ecc3de3039931f60dad60307a4d491252 SOURCE_GIT_TAG=v0.2.0-441-gcfd8736e SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-aws 
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-aws/bin/machine-controller-manager /
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-aws/bin/termination-handler /

LABEL \
        name="openshift/ose-aws-machine-controllers" \
        com.redhat.component="ose-aws-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202112150825.p0.gcfd8736.assembly.stream" \
        io.openshift.build.commit.id="cfd8736ecc3de3039931f60dad60307a4d491252" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-aws" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-aws/commit/cfd8736ecc3de3039931f60dad60307a4d491252" \
        version="v4.8.0"

